Version 8.0.0

Browser Requirements

The Crimes System requires Microsoft Internet Explorer Version 5.5 or later for PC users.
If you do not have Microsoft Internet Explorer, please contact your system administrators.